%define gitname	MageiaSync
%define oname	mageiaSync

Name:		mageiasync
Version:	0.4.4
Release:	%mkrel 1
Summary:	A frontend to rsync for Mageia usage
License:	GPLv3
Group:		Development/Python
URL:		http://gitweb.mageia.org/qa/MageiaSync/about/
Source0:	http://gitweb.mageia.org/qa/MageiaSync/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel
BuildRequires:	qttools5

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
Requires:	python3-gnupg
Requires:	python3-sip
Requires:	rsync

Obsoletes:	python-mageiasync < 0.1.7-2
Provides:	python-mageiasync = %{version}-%{release}

%description
A tool for downloading ISO images from repository (mirror) or Mageia
testing repository. It uses rsync at main. Its aim is to be a tool
like dorsync with GUI.


%prep
%autosetup -n %{gitname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 26 2023 papoteur <papoteur> 0.4.4-1.mga8
+ Revision: 1945482
- fix key server (mga#31598)

* Wed Feb 17 2021 tmb <tmb> 0.4.2-1.mga8
+ Revision: 1675506
- translation updates

* Sun Jan 10 2021 neoclust <neoclust> 0.4.1-1.mga8
+ Revision: 1670387
- New vesion 0.4.1

* Tue Jul 21 2020 daviddavid <daviddavid> 0.4.0-4.mga8
+ Revision: 1607711
- rebuild to fix old pythonegg(3)(setuptools) dependencies

* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1531754
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 0.4.0-2.mga8
+ Revision: 1440842
- rebuild for python3.8

* Tue Jul 09 2019 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1419794
- new version: 0.4.0
  * Update checking to new signature method for Mageia 7 (mga#25084)

* Tue May 21 2019 daviddavid <daviddavid> 0.3.7-2.mga7
+ Revision: 1398739
- fix version in UI too

* Mon May 20 2019 tmb <tmb> 0.3.7-1.mga7
+ Revision: 1398563
- translation updates

* Mon Jan 07 2019 daviddavid <daviddavid> 0.3.6-4.mga7
+ Revision: 1351040
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.6-3.mga7
+ Revision: 1279359
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 daviddavid <daviddavid> 0.3.6-2.mga7
+ Revision: 1135050
- rebuild for new Python 3.6

* Mon Jun 05 2017 akien <akien> 0.3.6-1.mga6
+ Revision: 1107047
- Version 0.3.6, translation updates

* Mon Mar 13 2017 akien <akien> 0.3.5-1.mga6
+ Revision: 1092366
- Version 0.3.5

* Sun Dec 18 2016 daviddavid <daviddavid> 0.3.4-1.mga6
+ Revision: 1076022
- new version: 0.3.4

* Fri Nov 11 2016 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 1066358
- new version: 0.3.3

* Mon Jun 27 2016 akien <akien> 0.3.2-3.mga6
+ Revision: 1037869
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.3.2-2.mga6
+ Revision: 1037538
- Rebuild for python-sip 4.18

* Wed May 25 2016 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 1018410
- new version: 0.3.2

* Tue May 10 2016 daviddavid <daviddavid> 0.3.0-2.mga6
+ Revision: 1012324
- fix a typo in description

* Tue May 10 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 1011998
- new version: 0.3.0
- add python3-gnupg as a requires

* Mon Mar 14 2016 daviddavid <daviddavid> 0.2.1-1.mga6
+ Revision: 990682
- new version: 0.2.1 (fixes mga#17996)

* Sat Jan 16 2016 akien <akien> 0.1.7-2.mga6
+ Revision: 924644
- Properly obsolete python-mageiasync from mga5 core/updates

* Mon Nov 23 2015 daviddavid <daviddavid> 0.1.7-1.mga6
+ Revision: 905037
- new version: 0.1.7

* Thu Nov 19 2015 daviddavid <daviddavid> 0.1.6-1.mga6
+ Revision: 904240
- new version: 0.1.6
- now switches to python 3

* Mon Sep 21 2015 daviddavid <daviddavid> 0.1.5-3.mga6
+ Revision: 882018
- switch to new python2 macros

* Mon Jul 20 2015 daviddavid <daviddavid> 0.1.5-2.mga6
+ Revision: 855797
- rename package to mageiasync instead of python-mageiasync
- obsoletes and provides old name on python-mageiasync

* Sat May 02 2015 daviddavid <daviddavid> 0.1.5-1.mga5
+ Revision: 821025
- new version: 0.1.5
  * http://gitweb.mageia.org/qa/MageiaSync/plain/CHANGELOG

* Sun Mar 01 2015 daviddavid <daviddavid> 0.1.4-1.mga5
+ Revision: 817220
- new version: 0.1.4

* Sat Feb 21 2015 daviddavid <daviddavid> 0.1.3-1.mga5
+ Revision: 816218
- new version: 0.1.3
- improve description
- update file list
- update Url and Source Url
- update BuildRequires

* Tue Dec 02 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 800413
- Version 0.1.2

* Sun Oct 26 2014 daviddavid <daviddavid> 0.1.1-1.mga5
+ Revision: 793511
- new version: 0.1.1

* Tue Oct 21 2014 daviddavid <daviddavid> 0.1-1.mga5
+ Revision: 792335
- imported package python-mageiasync

